use super::SetOption;

#[derive(Debug)]
pub struct X86Options {
    pub disable_boot_fb: bool,
}

impl Default for X86Options {
    fn default() -> Self {
        Self {
            disable_boot_fb: false,
        }
    }
}

impl SetOption for X86Options {
    fn set_flag(&mut self, value: &str) -> bool {
        match value {
            "disable-boot-fb" => {
                self.disable_boot_fb = true;
                true
            }
            _ => false,
        }
    }

    fn set_key_value(&mut self, _key: &str, _value: &str) -> bool {
        false
    }
}
